lock_may_write
Prev | File Locks | Next

## Name

lock_may_write — checks that the region is free of locks

## Synopsis

`int lock_may_write (` | struct inode * | inode,
| loff_t | start,
| unsigned long | len`)`;

## Arguments

`inode`

  the inode that is being written

`start`

  the first byte to write

`len`

  the number of bytes to write

## Description

Emulates Windows locking requirements. Whole-file mandatory locks (share modes) can prohibit a write and byte-range POSIX locks can prohibit a write if they overlap.

N.B. this function is only ever called from knfsd and ownership of locks is never checked.

Prev | Up | Next
lock_may_read | Home | locks_mandatory_locked